AI生图-商品提取
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/productExtractionSubmit \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batchImageGenerationDTO.model": "<string>",
"batchImageGenerationDTO.prompt": "<string>",
"batchImageGenerationDTO.n": 123,
"batchImageGenerationDTO.size": "<string>",
"batchImageGenerationDTO.temperature": 123,
"batchImageGenerationDTO.watermark": true,
"batchImageGenerationDTO.image": "<string>",
"batchImageGenerationDTO.promptOptions": {},
"batchImageGenerationDTO.optimizePrompt": "<string>",
"batchImageGenerationDTO.quality": "<string>",
"batchImageGenerationDTO.responseFormat": "<string>",
"batchImageGenerationDTO.score": 123,
"batchImageGenerationDTO.sequentialImageGeneration": "<string>",
"batchImageGenerationDTO.sequentialImageGenerationOptions": {}
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/productExtractionSubmit"
payload = {
"batchImageGenerationDTO.model": "<string>",
"batchImageGenerationDTO.prompt": "<string>",
"batchImageGenerationDTO.n": 123,
"batchImageGenerationDTO.size": "<string>",
"batchImageGenerationDTO.temperature": 123,
"batchImageGenerationDTO.watermark": True,
"batchImageGenerationDTO.image": "<string>",
"batchImageGenerationDTO.promptOptions": {},
"batchImageGenerationDTO.optimizePrompt": "<string>",
"batchImageGenerationDTO.quality": "<string>",
"batchImageGenerationDTO.responseFormat": "<string>",
"batchImageGenerationDTO.score": 123,
"batchImageGenerationDTO.sequentialImageGeneration": "<string>",
"batchImageGenerationDTO.sequentialImageGenerationOptions": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'batchImageGenerationDTO.model': '<string>',
'batchImageGenerationDTO.prompt': '<string>',
'batchImageGenerationDTO.n': 123,
'batchImageGenerationDTO.size': '<string>',
'batchImageGenerationDTO.temperature': 123,
'batchImageGenerationDTO.watermark': true,
'batchImageGenerationDTO.image': '<string>',
'batchImageGenerationDTO.promptOptions': {},
'batchImageGenerationDTO.optimizePrompt': '<string>',
'batchImageGenerationDTO.quality': '<string>',
'batchImageGenerationDTO.responseFormat': '<string>',
'batchImageGenerationDTO.score': 123,
'batchImageGenerationDTO.sequentialImageGeneration': '<string>',
'batchImageGenerationDTO.sequentialImageGenerationOptions': {}
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/productExtractionSubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "操作成功",
"data": {
"images": [{
"url": "https://example.com/image.jpg"
}]
}
}
AI 生图
AI生图-商品提取
POST
/
prod-api
/
nebula
/
v4
/
api
/
productExtractionSubmit
AI生图-商品提取
简介
提交商品提取生图任务,用于生成商品提取的图片。认证
string
必填
Bearer Token,如
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
获取方法:依照左侧最上面认证模块的post接口获取,https://docs.leapx-hub.com/cn/leapx-lab-v4/endpoint/get-token请求参数
string
必填
模型名称
string
必填
图片描述提示词
integer
必填
生成图片数量
string
必填
图片尺寸
integer
必填
生成温度
boolean
必填
是否添加水印
string
参考图片地址
object
提示词配置
string
优化提示词
string
图片质量
string
响应格式
number
评分阈值
string
顺序生成图片开关
object
顺序生成图片配置
示例代码
- cURL示例
- Python示例
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/productExtractionSubmit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"model": "doubao-seedream-4-0-250828",
"prompt": "提取商品主体,纯色背景",
"n": 1,
"size": "1024x1024",
"temperature": 1,
"watermark": false,
"image": "https://example.com/product.jpg"
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/productExtractionSubmit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"model": "doubao-seedream-4-0-250828",
"prompt": "提取商品主体,纯色背景",
"n": 1,
"size": "1024x1024",
"temperature": 1,
"watermark": False,
"image": "https://example.com/product.jpg"
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
响应示例
{
"code": 200,
"msg": "操作成功",
"data": {
"images": [{
"url": "https://example.com/image.jpg"
}]
}
}
⌘I
